Catalog

The following endpoints allow you to retrieve and manage the integrations.

Get all available data sources

get
/catalog/dataSources

This endpoint will allow you to get a list of all available data sources, including the credential fields required for each.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Responses
chevron-right
200

Successful operation

application/json
get
/catalog/dataSources

Get all available integrations

get
/catalog/integrations

This endpoint will allow you to get a list of all available integrations.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Responses
chevron-right
200

Successful operation

application/json
get
/catalog/integrations

Create an integration

post
/catalog/integrations

This endpoint will allow you to create a new integration.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
integrationCredentialsobjectRequired

The credentials to connect to the data source, the content of this object will depend on the data source you want to connect to.

Example: {"username":"user","password":"pass","customerId":"123"}
integrationNamestringRequired

Name of the integration

Example: MCF France
dataSourceCodestringRequired

Code of the data source

Example: michelin_connected_fleet
Responses
chevron-right
200

Successful operation

application/json
integrationIdnumberOptional

The unique identifier of the created integration

Example: 123
post
/catalog/integrations

Delete an integration

delete
/catalog/integrations/{integrationId}

This endpoint will delete an existing integration. ⚠️ Warning This operation is irreversible.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
integrationIdintegerRequired

The unique identifier of the integration to delete

Example: 123
Responses
chevron-right
200

Successful operation

application/json
integrationIdnumberOptional

The unique identifier of the created integration

Example: 123
delete
/catalog/integrations/{integrationId}

Update an integration

patch
/catalog/integrations/{integrationId}

This endpoint will allow you to update an existing integration.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
integrationIdintegerRequired

The unique identifier of the integration

Example: 123
Body
integrationCredentialsobjectOptional

The new credentials to connect to the data source, the content of this object will depend on the data source you want to connect to.

Example: {"username":"user","password":"pass","customerId":"123"}
integrationNamestringRequired

The new name of the integration

Example: MCF France
Responses
chevron-right
200

Successful operation

application/json
integrationIdnumberOptional

The unique identifier of the updated integration

Example: 123
integrationNamestringOptional

Name of the updated integration

Example: MCF France
patch
/catalog/integrations/{integrationId}

Activate an integration

post
/catalog/integrations/{integrationId}/activate

This endpoint will activate an existing integration.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
integrationIdintegerRequired

The unique identifier of the integration to activate

Example: 123
Responses
chevron-right
200

Successful operation

application/json
integrationIdnumberOptional

The unique identifier of the created integration

Example: 123
post
/catalog/integrations/{integrationId}/activate

Deactivate an integration

post
/catalog/integrations/{integrationId}/deactivate

This endpoint will deactivate an existing integration.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
integrationIdintegerRequired

The unique identifier of the integration to deactivate

Example: 123
Responses
chevron-right
200

Successful operation

application/json
integrationIdnumberOptional

The unique identifier of the created integration

Example: 123
post
/catalog/integrations/{integrationId}/deactivate

Last updated

Was this helpful?